Subject: Re: bug#25741: [PATCH 2/2] gnu: kbd: Add neo layout.

From: ng0 <[email-masked]>
Date: Fri, 28 Apr 2017 09:39:40 +0000

Ricardo Wurmus transcribed 0.5K bytes:
> 
> ng0 <[email-masked]> writes:
> 
> > Alright, here is the reworked version.
> >
> > Because it is equal to the result of the previous one, I am
> > positive that it works like this (the previous version did).
> 
> Thanks.  This still modifies the kbd package.  Have you tried what I
> proposed, namely to install this as a separate package and /somehow/
> make kbd find the installed keymap?  It would be nicer than to modify
> the kbd package itself.
> 
> -- 
> Ricardo
>   
>   GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
>   https://elephly.net
> 

Would this still work as intended?
kbd is a global package, part of the base. If I create a new
package which inherits from kbd, and people have to explicitly
add it to (packages) in (operating-system), it will colide with
(kbd). I think this really is the safest solution unless you
can convince me that it will work the way you proposed.

Or am I wrong and all you suggest is that (kbd) simply
finds the neo.map in the store?

I feel like kbd doesn#t work this way, but depending on
your explanation I can try.
-- 
PGP and more: https://people.pragmatique.xyz/ng0/